HPE Greenlake For Storage Fleet REST APIs
- Get the specific setup progress for a device
HPE Greenlake For Storage Fleet REST APIs (1.4.0)
The number of items to skip before starting to collect the result set. Default is 20.
The numbers of items to return. Default is 0 which means no limit.
The filter query parameter is used to filter the set of resources returned in the response. The returned set of resources must match the criteria in the filter query parameter. A comparision compares a property name to a literal. The comparisons supported are the following:
- "eq" : Is a property equal to value. Valid for number, boolean and string properties.
- "ne" : Is a property not equal to value. Valid for number, boolean and string properties.
- "gt" : Is a property greater than a value. Valid for number or string timestamp properties.
- "lt" : Is a property less than a value. Valid for number or string timestamp properties.
Properties that can be filtered are:
- name
- blueprintId
- description
- model
- associatedBlueprint.name
- autoSetup
- connectionStatus
- status
- type
- createdAt
- updatedAt
- generation
Examples are:
- GET /storage-fleet/v1alpha1/setup-devices?filter=status eq 'ONBOARDED'
- GET /storage-fleet/v1alpha1/setup-devices?filter=updatedAt lt 2021-04-08T16:51:33Z
- GET /storage-fleet/v1alpha1/setup-devices?filter=status eq 'ONBOARDED' and createdAt lt 2021-04-08T16:51:33Z
- GET /storage-fleet/v1alpha1/setup-devices?filter=status ne 'UNINITIALIZED'
Instruct the server to sort the resources returned with a collection-level GET. They provide sorting by one or more properties in ascending or descending order. Each item in the “sort” query parameter is a property name optionally followed by a direction indicator. The direction indicator may only be either “asc” (ascending) or “desc” (descending). If no direction indicator is specified, the default order is ascending. The first item in the “sort” query parameter defines the primary sort order, the second defines the secondary sort order, the third defines the tertiary sort order, etc.
Properties that can be sorted are:
- name
- blueprintId
- id
- serialNumber
- name
- description
- model
- type
- connectionStatus
- associatedBlueprint.name
- status
- autoSetup
- createdAt
- updatedAt
- generation
- https://eu1.data.cloud.hpe.com/storage-fleet/v1alpha1/setup-devices
- https://us1.data.cloud.hpe.com/storage-fleet/v1alpha1/setup-devices
- https://jp1.data.cloud.hpe.com/storage-fleet/v1alpha1/setup-devices
- Mock serverhttps://developer.greenlake.hpe.com/_mock/docs/greenlake/services/storage-fleet/public/openapi/storage-fleet-public-v1alpha1/storage-fleet-api/storage-fleet/v1alpha1/setup-devices
- curl
- JavaScript
- Node.js
- Python
- Java
- Go
- C#
- PHP
curl -i -X GET \
https://eu1.data.cloud.hpe.com/storage-fleet/v1alpha1/setup-devices \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Devices list
A monotonically increasing value. This value updates when the resource is updated and can be used as a short way to determine if a resource has changed or which of two different copies of a resource is more up to date.
If true, then once a device connects to the Data Services Cloud Console, it will be initialized automatically with the associated blueprint. If false, then user will have to manually initiate the device initialization at some point after the device has connected to the Cloud Console. Default is false.
uuid of the blueprint associated with this device. If empty, then there is no blueprint associated with this device.
Whether the device is connected to the Data Services Cloud Console
The time this device completed initialization either successfully or unsuccessfully.
Model family of the device
{ "count": 0, "items": [ { … } ], "pageLimit": 20, "pageOffset": 0, "total": 0 }
- https://eu1.data.cloud.hpe.com/storage-fleet/v1alpha1/setup-devices/{id}
- https://us1.data.cloud.hpe.com/storage-fleet/v1alpha1/setup-devices/{id}
- https://jp1.data.cloud.hpe.com/storage-fleet/v1alpha1/setup-devices/{id}
- Mock serverhttps://developer.greenlake.hpe.com/_mock/docs/greenlake/services/storage-fleet/public/openapi/storage-fleet-public-v1alpha1/storage-fleet-api/storage-fleet/v1alpha1/setup-devices/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- Go
- C#
- PHP
curl -i -X GET \
https://eu1.data.cloud.hpe.com/storage-fleet/v1alpha1/setup-devices/c1a0eb78-41a0-4151-93b2-f057ffeca3f3 \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Single device
A monotonically increasing value. This value updates when the resource is updated and can be used as a short way to determine if a resource has changed or which of two different copies of a resource is more up to date.
If true, then once a device connects to the Data Services Cloud Console, it will be initialized automatically with the associated blueprint. If false, then user will have to manually initiate the device initialization at some point after the device has connected to the Cloud Console. Default is false.
uuid of the blueprint associated with this device. If empty, then there is no blueprint associated with this device.
Whether the device is connected to the Data Services Cloud Console
The time this device completed initialization either successfully or unsuccessfully.
{ "createdAt": "2019-08-24T14:15:22Z", "customerId": "string", "generation": 0, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "resourceUri": "string", "type": "string", "updatedAt": "2019-08-24T14:15:22Z", "associatedBlueprint": { "name": "string", "resourceUri": "string", "type": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "associatedSetupTask": { "name": "string", "resourceUri": "string", "type": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "autoSetup": false, "blueprintId": "string", "connectionStatus": "CONNECTED", "contact": "string", "description": "string", "hardwareInformation": { "components": { … }, "dscId": "string", "fcPorts": [ … ], "inventory": { … }, "iscsiPorts": [ … ], "networkInterfaces": [ … ], "personaInfo": "kvm-alletramp-dhci" }, "initCompleteTime": "2019-08-24T14:15:22Z", "model": "ALLETRA_5000", "modelNumber": "6030", "numberOfAttempts": 0, "osVersion": "string", "override": { "autoSupport": { … }, "autoUpdateOs": true, "cluster": { … }, "dataNetwork": [ … ], "dateTime": { … }, "dnsConfig": { … }, "forceRollback": true, "isHpeEulaAccepted": true, "isVmwareEulaAccepted": true, "mgmtNetwork": { … }, "proxyConfig": { … }, "s3FrontEndConfiguration": { … }, "serverSetups": { … }, "supportContact": { … }, "switchAdminCredentialId": "string", "systemIdentity": { … }, "userCreds": { … }, "vcenter": { … }, "vdsManagementOnly": true, "vdsSelected": true, "virtualization": { … } }, "preConfiguredData": { "dateTime": { … }, "dnsConfig": { … }, "manufacturingData": { … }, "mgmtNetwork": { … }, "proxyConfig": { … }, "serverSetups": { … }, "systemIdentity": { … } }, "serialNumber": "string", "status": "ONBOARDED", "tunnelSetupUserAgent": "Mozilla/5.0" }
If true, then once a device connects to the Data Services Cloud Console, it will be initialized automatically with the associated blueprint. If false, then user will have to manually initiate the device initialization at some point after the device has connected to the Cloud Console. Default is false.
uuid of the blueprint to change to. Set this to empty string to remove the blueprint.
- https://eu1.data.cloud.hpe.com/storage-fleet/v1alpha1/setup-devices/{id}
- https://us1.data.cloud.hpe.com/storage-fleet/v1alpha1/setup-devices/{id}
- https://jp1.data.cloud.hpe.com/storage-fleet/v1alpha1/setup-devices/{id}
- Mock serverhttps://developer.greenlake.hpe.com/_mock/docs/greenlake/services/storage-fleet/public/openapi/storage-fleet-public-v1alpha1/storage-fleet-api/storage-fleet/v1alpha1/setup-devices/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- Go
- C#
- PHP
curl -i -X PATCH \
https://eu1.data.cloud.hpe.com/storage-fleet/v1alpha1/setup-devices/c1a0eb78-41a0-4151-93b2-f057ffeca3f3 \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/merge-patch+json' \
-d '{}'Updated device
A monotonically increasing value. This value updates when the resource is updated and can be used as a short way to determine if a resource has changed or which of two different copies of a resource is more up to date.
If true, then once a device connects to the Data Services Cloud Console, it will be initialized automatically with the associated blueprint. If false, then user will have to manually initiate the device initialization at some point after the device has connected to the Cloud Console. Default is false.
uuid of the blueprint associated with this device. If empty, then there is no blueprint associated with this device.
Whether the device is connected to the Data Services Cloud Console
The time this device completed initialization either successfully or unsuccessfully.
{ "createdAt": "2019-08-24T14:15:22Z", "customerId": "string", "generation": 0, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "resourceUri": "string", "type": "string", "updatedAt": "2019-08-24T14:15:22Z", "associatedBlueprint": { "name": "string", "resourceUri": "string", "type": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "associatedSetupTask": { "name": "string", "resourceUri": "string", "type": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "autoSetup": false, "blueprintId": "string", "connectionStatus": "CONNECTED", "contact": "string", "description": "string", "hardwareInformation": { "components": { … }, "dscId": "string", "fcPorts": [ … ], "inventory": { … }, "iscsiPorts": [ … ], "networkInterfaces": [ … ], "personaInfo": "kvm-alletramp-dhci" }, "initCompleteTime": "2019-08-24T14:15:22Z", "model": "ALLETRA_5000", "modelNumber": "6030", "numberOfAttempts": 0, "osVersion": "string", "override": { "autoSupport": { … }, "autoUpdateOs": true, "cluster": { … }, "dataNetwork": [ … ], "dateTime": { … }, "dnsConfig": { … }, "forceRollback": true, "isHpeEulaAccepted": true, "isVmwareEulaAccepted": true, "mgmtNetwork": { … }, "proxyConfig": { … }, "s3FrontEndConfiguration": { … }, "serverSetups": { … }, "supportContact": { … }, "switchAdminCredentialId": "string", "systemIdentity": { … }, "userCreds": { … }, "vcenter": { … }, "vdsManagementOnly": true, "vdsSelected": true, "virtualization": { … } }, "preConfiguredData": { "dateTime": { … }, "dnsConfig": { … }, "manufacturingData": { … }, "mgmtNetwork": { … }, "proxyConfig": { … }, "serverSetups": { … }, "systemIdentity": { … } }, "serialNumber": "string", "status": "ONBOARDED", "tunnelSetupUserAgent": "Mozilla/5.0" }
- https://eu1.data.cloud.hpe.com/storage-fleet/v1alpha1/setup-devices/{id}/retry-setup
- https://us1.data.cloud.hpe.com/storage-fleet/v1alpha1/setup-devices/{id}/retry-setup
- https://jp1.data.cloud.hpe.com/storage-fleet/v1alpha1/setup-devices/{id}/retry-setup
- Mock serverhttps://developer.greenlake.hpe.com/_mock/docs/greenlake/services/storage-fleet/public/openapi/storage-fleet-public-v1alpha1/storage-fleet-api/storage-fleet/v1alpha1/setup-devices/{id}/retry-setup
- curl
- JavaScript
- Node.js
- Python
- Java
- Go
- C#
- PHP
curl -i -X POST \
https://eu1.data.cloud.hpe.com/storage-fleet/v1alpha1/setup-devices/c1a0eb78-41a0-4151-93b2-f057ffeca3f3/retry-setup \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "name": "string", "resourceUri": "string", "type": "string" }
- https://eu1.data.cloud.hpe.com/storage-fleet/v1alpha1/setup-progress/{id}
- https://us1.data.cloud.hpe.com/storage-fleet/v1alpha1/setup-progress/{id}
- https://jp1.data.cloud.hpe.com/storage-fleet/v1alpha1/setup-progress/{id}
- Mock serverhttps://developer.greenlake.hpe.com/_mock/docs/greenlake/services/storage-fleet/public/openapi/storage-fleet-public-v1alpha1/storage-fleet-api/storage-fleet/v1alpha1/setup-progress/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- Go
- C#
- PHP
curl -i -X GET \
https://eu1.data.cloud.hpe.com/storage-fleet/v1alpha1/setup-progress/c1a0eb78-41a0-4151-93b2-f057ffeca3f3 \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Single device
A monotonically increasing value. This value updates when the resource is updated and can be used as a short way to determine if a resource has changed or which of two different copies of a resource is more up to date.
The steps of the device initialization process
Overall percent completion of the device initialization.
{ "createdAt": "2019-08-24T14:15:22Z", "customerId": "string", "generation": 0, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "resourceUri": "string", "type": "string", "updatedAt": "2019-08-24T14:15:22Z", "initializationSteps": [ { … } ], "setupProgressPercent": 1, "state": "PENDING" }